%define anolis_release 1

Name:           libudfread
Version:        1.1.2
Release:        %{anolis_release}%{dist}

Summary:        UDF reader library
License:        LGPLv2+
URL:            https://code.videolan.org/videolan/libudfread
Source0:        https://code.videolan.org/videolan/%{name}/-/archive/%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  make

%description
This library allows reading UDF filesystems, like raw devices and image files.
The library is created and maintained by VideoLAN Project and is used by
projects like VLC and Kodi.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
autoreconf -vif
%configure --disable-static
%make_build

%install
%make_install

%generate_compatibility_deps

%files
%license COPYING
%dir %{abidir}
%{_libdir}/libudfread.so.0*
%{abidir}/libudfread.dump

%files devel
%{_includedir}/udfread/
%{_libdir}/libudfread.so
%{_libdir}/pkgconfig/libudfread.pc

%files doc
%doc ChangeLog

%changelog
* Thu Mar 16 2023 yuanhui <yuanhui@linux.alibaba.com> - 1.1.2-1
- Init libudfread for AnolisOS 23
